Subject: bug#11295: 24.0.95; New ibuffer filter derived-mode

From: Ivan Andrus <[email-masked]>
Date: Mon, 23 Apr 2012 20:51:21 +0200

On Apr 21, 2012, at 9:44 PM, Stefan Monnier wrote:

>>> Why not use (with-current-buffer buf (derived-mode-p parent))?
>> Uh.  That would have been too easy.  :-)
> 
> I can relate to that.
> 
>>> Another question: couldn't it simply *replace* the existing mode filter?
>>> I guess it could be a bit annoying if you want to see fundamental-mode
>>> buffers (since most modes derive from it), but that's the only downside
>>> I can think of.
>> I thought about it, but I do in fact filter by fundamental-mode (and a few
>> other modes) to hide "useless" buffers.  
> 
> Fair enough.  Please send us an updated patch, so we can install it,

Attached is an updated patch.  I also added a keybinding, though I'm not entirely happy with it.  I chose / w since w is an upside down m.  My first choices of m, M, p, P, d, and D were all taken.  They were for mode, parent, and derived.  Feel free to ignore or change that portion.  Perhaps the key should replace one of the current mode filter keys m and M.

FWIW, I contacted [email-masked] for some changes in expand-region.el.

-Ivan